crashpad::MinidumpContextMIPS64 Struct Reference

A 32bit MIPS CPU context (register state) carried in a minidump file. More...

`#include "minidump/minidump_context.h"`

## Public Attributes

uint64_t | context_flags
uint64_t | regs [32]
| General purpose registers.
uint64_t | mdhi
| Multiply/divide result.
uint64_t | mdlo
uint64_t | hi [3]
| DSP registers.
uint64_t | lo [3]
uint64_t | dsp_control
uint64_t | epc
| cp0 registers.
uint64_t | badvaddr
uint64_t | status
uint64_t | cause
union {
struct {
float _fp_fregs
uint32_t _fp_pad
} fregs [32]
double dregs [32]
} | fpregs
| FPU registers.
uint64_t | fpcsr
| FPU status register.
uint64_t | fir
| FPU implementation register.

## Detailed Description

A 32bit MIPS CPU context (register state) carried in a minidump file.

The documentation for this struct was generated from the following file:

- minidump/minidump_context.h